Create or Replace TRIGGER  ReorderPart
Before Update on Part

-- need to exec query against partReorder to see 
-- already ordered amout

For Each Row

DECLARE

found Number;
onOrder PartReorder.qty%type;

BEGIN

select count(*) into found
	from PartReorder
	where PartReorder.pNum = :OLD.pNum AND PartReorder.color = :OLD.color;

IF ( found <> 0 ) THEN
select qty into onOrder
	from PartReorder
	where PartReorder.pNum = :OLD.pNum AND PartReorder.color = :OLD.color;

	IF ( :NEW.qty + onOrder < :OLD.minQty ) THEN
		Insert into PartReorder
			VALUES (partOrder.nextval, :OLD.pnum, :OLD.color, :OLD.minQty - :NEW.qty + :OLD.minQty);

	END IF;

ELSE
	IF ( :NEW.qty < :OLD.minQty ) THEN
		Insert into PartReorder
			VALUES (partOrder.nextval, :OLD.pnum, :OLD.color, :OLD.minQty);
	END IF;


END IF;
END;
/
