Create or Replace TRIGGER  SingleManager
Before Insert on Manager

For Each Row

DECLARE
	mCount NUMBER;
BEGIN
	Select Count(*) INTO mCount
	From	Manager
	WHERE Manager.dNum = :NEW.dNum;

	IF (mCount > 0) THEN
		RAISE_APPLICATION_ERROR(-20050, 'Cannot Have More Than 1 Manager of a Department');
	END IF;
END;
/
