-- Does not add part orders for parts which
-- do not exist in the Parts table

Create or Replace TRIGGER  ValidReorder
Before Insert on PartReorder

For Each Row

DECLARE
	mCount NUMBER;
BEGIN
	Select Count(*) INTO mCount
	From	Part
	WHERE Part.pNum = :NEW.pNum;

	IF (mCount = 0) THEN
		RAISE_APPLICATION_ERROR(-20050, 'Cannot Enter Reorder for Non-existent Part');
	END IF;
END;
/
